Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/service-params.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/service-params.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/service-params.xsl	(revision 24007)
@@ -4,8 +4,8 @@
   xmlns:java="http://xml.apache.org/xslt/java"
   extension-element-prefixes="java">
-
+  
   <!-- handling of the different types of params on a service form 
-  - these now only output the selection box/text box etc, not the name -->
-
+    - these now only output the selection box/text box etc, not the name -->
+  
   <!-- the default param list handling -->
   <xsl:template match="paramList">
@@ -13,13 +13,13 @@
     <ul id="queryitemlist">
       <xsl:for-each select="param">
-	<xsl:choose>
-	  <xsl:when test="@type='multi'">
-	    <li><xsl:apply-templates select='.'><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></li>
-	  </xsl:when>
-	  <xsl:otherwise>
-	    <xsl:variable name="pvalue"><xsl:apply-templates select="." mode="calculate-default"><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></xsl:variable>
-	    <li><xsl:value-of select="displayItem[@name='name']"/><xsl:apply-templates select="."><xsl:with-param name="default" select="$pvalue"/><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></li>
-	  </xsl:otherwise>
-	</xsl:choose>
+        <xsl:choose>
+          <xsl:when test="@type='multi'">
+            <li><xsl:apply-templates select='.'><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></li>
+          </xsl:when>
+          <xsl:otherwise>
+            <xsl:variable name="pvalue"><xsl:apply-templates select="." mode="calculate-default"><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></xsl:variable>
+            <li><xsl:value-of select="displayItem[@name='name']"/><xsl:apply-templates select="."><xsl:with-param name="default" select="$pvalue"/><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></li>
+          </xsl:otherwise>
+        </xsl:choose>
       </xsl:for-each>
     </ul>
@@ -27,5 +27,5 @@
   
   <!-- puts all the params into a=p&p=h type form - need to change this if use 
-  multi params  -->
+    multi params  -->
   <xsl:template match="paramList" mode="cgi">
     <xsl:param name="ns">s1.</xsl:param>
@@ -35,5 +35,5 @@
     </xsl:for-each>
   </xsl:template>
-
+  
   <xsl:template match="param" mode="calculate-default">
     <xsl:param name="ns">s1.</xsl:param>
@@ -41,25 +41,25 @@
     <xsl:choose>
       <xsl:when test="/page/pageRequest/paramList/param[@name=$pname]">
-	<xsl:choose>
-	  <xsl:when test="@type='enum_multi'"><xsl:text>,</xsl:text>
-	    <xsl:for-each select="/page/pageRequest/paramList/param[@name=$pname]">
-	      <xsl:value-of select="@value"/>,
-	    </xsl:for-each>
-	  </xsl:when>
-	  <xsl:otherwise>
-	    <xsl:value-of select="/page/pageRequest/paramList/param[@name=$pname]/@value"/>
-	  </xsl:otherwise>
-	</xsl:choose>
+        <xsl:choose>
+          <xsl:when test="@type='enum_multi'"><xsl:text>,</xsl:text>
+            <xsl:for-each select="/page/pageRequest/paramList/param[@name=$pname]">
+              <xsl:value-of select="@value"/>,
+            </xsl:for-each>
+          </xsl:when>
+          <xsl:otherwise>
+            <xsl:value-of select="/page/pageRequest/paramList/param[@name=$pname]/@value"/>
+          </xsl:otherwise>
+        </xsl:choose>
       </xsl:when>
       <xsl:otherwise>
-	<xsl:value-of select="@default"/>
+        <xsl:value-of select="@default"/>
       </xsl:otherwise>
     </xsl:choose>
   </xsl:template>
-
+  
   <!-- invisible params - used by other stuff. in the query form, we set to teh default -->
   <xsl:template match="param[@type='invisible']">
     <xsl:param name="ns">s1.</xsl:param>
-    <input type='hidden' name='{$ns}{@name}' value='{@default}'/>
+    <input type='hidden' name='concat($ns, @name)' value='{@default}'/>
   </xsl:template>
   <!-- boolean params -->
@@ -67,4 +67,5 @@
     <xsl:param name="ns">s1.</xsl:param>
     <xsl:param name="default"/>
+    
     <select name='{$ns}{@name}'>
       <option value="0"><xsl:if test="$default='0'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="option[@name='0']/displayItem[@name='name']"/></option>
@@ -76,30 +77,34 @@
   <xsl:template match="param[@type='integer']">
     <xsl:param name="ns">s1.</xsl:param>
-    <xsl:param name="default"/>
+    <xsl:param name="default"/> 
+    
     <input type="text" name="{$ns}{@name}" size="3" value="{$default}"/>
   </xsl:template>
-
+  
   <!-- single selection enum params -->
   <xsl:template match="param[@type='enum_single']">
     <xsl:param name="ns">s1.</xsl:param>
     <xsl:param name="default"/>
+    
     <xsl:choose>
       <xsl:when test="count(option) = 1">
-	<xsl:text> </xsl:text><xsl:value-of select="option/displayItem[@name='name']"/>
-	<input type='hidden' name='{$ns}{@name}'><xsl:attribute name='value'><xsl:value-of  select='option/@name'/></xsl:attribute></input>
+        <xsl:text> </xsl:text><xsl:value-of select="option/displayItem[@name='name']"/>
+        <input type='hidden' name='{$ns}{@name}'><xsl:attribute name='value'><xsl:value-of  select='option/@name'/></xsl:attribute></input>
       </xsl:when>
       <xsl:otherwise>
-	<select name="{$ns}{@name}">
-	  <xsl:for-each select="option">
-	    <option value="{@name}"><xsl:if test="@name=$default"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="displayItem[@name='name']"/></option>
-	  </xsl:for-each>
-	</select>
+        
+        <select name="{$ns}{@name}">
+          <xsl:for-each select="option">
+            <option value="{@name}"><!--<xsl:if test="@name=$default"><xsl:attribute name="selected"></xsl:attribute></xsl:if>--><xsl:value-of select="displayItem[@name='name']"/></option>
+          </xsl:for-each>
+        </select>
       </xsl:otherwise>
     </xsl:choose>
   </xsl:template>
-
-
+  
+  
   <!-- multiple selection enum params -->
   <!-- how to do defaults for this?? -->
+  <!-- Don't need to do anything here, handled automatically in the list -->
   <xsl:template match="param[@type='enum_multi']">
     <xsl:param name="ns">s1.</xsl:param>
@@ -107,5 +112,5 @@
     <select name="{$ns}{@name}" size='2'><xsl:attribute name="multiple"></xsl:attribute>
       <xsl:for-each select="option">
-	<option value="{@name}"><xsl:if test="contains($default, concat(',', @name, ','))"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="displayItem[@name='name']"/></option>
+        <option value="{@name}"><xsl:if test="contains($default, concat(',', @name, ','))"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="displayItem[@name='name']"/></option>
       </xsl:for-each>
     </select>
@@ -116,4 +121,5 @@
     <xsl:param name="ns">s1.</xsl:param>
     <xsl:param name="default"/>
+    
     <input type="text" name="{$ns}{@name}" size="50" value="{$default}"/>
   </xsl:template>
@@ -122,8 +128,9 @@
   <xsl:template match="param[@type='text']">
     <xsl:param name="ns">s1.</xsl:param>
-    <xsl:param name="default"/>
+    <xsl:param name="default"/>    
+    
     <textarea name="{$ns}{@name}" cols="50" rows="3"><xsl:value-of select='$default'/></textarea>
   </xsl:template>
-
+  
   <!-- multi params - params that are combinations of other params -->
   <xsl:template match="param[@type='multi']">
@@ -132,7 +139,7 @@
     <table>
       <tr class="queryfieldheading"><xsl:value-of select="displayItem[@name='name']"/>
-      	<xsl:for-each select="param">
-	  <td class="queryfieldname"><xsl:value-of select="displayItem[@name='name']"/></td>
-	</xsl:for-each>
+        <xsl:for-each select="param">
+          <td class="queryfieldname"><xsl:value-of select="displayItem[@name='name']"/></td>
+        </xsl:for-each>
       </tr>
       
@@ -140,5 +147,5 @@
     </table>
   </xsl:template>
-
+  
   <xsl:template match="param[@type='multi']" mode="contents">
     <xsl:param name="ns">s1.</xsl:param>
@@ -146,15 +153,15 @@
     <xsl:variable name="pos" select="@occurs - $occurs"/>	
     <tr class="queryfieldrow"><xsl:for-each select="param">
-	<xsl:variable name="pname" select="@name"/>
-	<xsl:variable name="values" select="/page/pageRequest/paramList/param[@name=$pname]/@value"/>
-	<td class="queryfieldcell"><xsl:choose>
-	    <xsl:when test="not(@ignore) or  @ignore != $pos">      
-	      <xsl:apply-templates select='.'><xsl:with-param name="default" select="java:org.greenstone.gsdl3.util.XSLTUtil.getNumberedItem($values, $pos)"/><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates>
-	    </xsl:when>
-	    <xsl:otherwise><!-- put in a hidden placeholder -->
-	      <input type="hidden" name='{$ns}{@name}' value=''/>
-	    </xsl:otherwise>
-	  </xsl:choose></td>
-      </xsl:for-each></tr>
+      <xsl:variable name="pname" select="@name"/>
+      <xsl:variable name="values" select="/page/pageRequest/paramList/param[@name=$pname]/@value"/>
+      <td class="queryfieldcell"><xsl:choose>
+        <xsl:when test="not(@ignore) or  @ignore != $pos">      
+          <xsl:apply-templates select='.'><xsl:with-param name="default" select="$values|$pos"/><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates>
+        </xsl:when>
+        <xsl:otherwise><!-- put in a hidden placeholder -->
+          <input type="hidden" name='{$ns}{@name}' value=''/>
+        </xsl:otherwise>
+      </xsl:choose></td>
+    </xsl:for-each></tr>
     <!-- recursively call this template to get multiple entries -->
     <xsl:if test="$occurs &gt; 1">
@@ -162,27 +169,27 @@
     </xsl:if>
   </xsl:template>
-
+  
   
 </xsl:stylesheet>  
 
-  <!-- a param list that puts params in pairs- wont work as is with new
+<!-- a param list that puts params in pairs- wont work as is with new
   param handling stuff -->
-  <!--
+<!--
   <xsl:template match="paramList">
-    <p/><table width="537">
-      <xsl:choose>
-        <xsl:when test='count(param)>4'>
-          <xsl:for-each select="param[position() mod 2 = 1]"> 
-            <tr><xsl:apply-templates select="."/>
-              <xsl:if test="following-sibling::param[1]"><xsl:apply-templates select='following-sibling::param[1]'/></xsl:if></tr>
-          </xsl:for-each>
-        </xsl:when>
-	<xsl:otherwise>
-	  <xsl:for-each select="param">
-	    <tr><xsl:apply-templates select='.'/></tr>
-	  </xsl:for-each>
-	</xsl:otherwise>
-      </xsl:choose>
-    </table>
+  <p/><table width="537">
+  <xsl:choose>
+  <xsl:when test='count(param)>4'>
+  <xsl:for-each select="param[position() mod 2 = 1]"> 
+  <tr><xsl:apply-templates select="."/>
+  <xsl:if test="following-sibling::param[1]"><xsl:apply-templates select='following-sibling::param[1]'/></xsl:if></tr>
+  </xsl:for-each>
+  </xsl:when>
+  <xsl:otherwise>
+  <xsl:for-each select="param">
+  <tr><xsl:apply-templates select='.'/></tr>
+  </xsl:for-each>
+  </xsl:otherwise>
+  </xsl:choose>
+  </table>
   </xsl:template>
-  -->
+-->
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/style.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/style.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/style.xsl	(revision 24007)
@@ -1,9 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 <xsl:stylesheet version="1.0"
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-  xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
   <xsl:include href="icons.xsl"/>
@@ -23,26 +19,32 @@
       <script language="Javascript">
 	<xsl:text disable-output-escaping="yes">
-	  function removeAllChildren(node) {
-	    while (node.hasChildNodes()) {
-	      node.removeChild(node.firstChild);
-	    }
+	  	  function removeAllChildren(node) {
+	  while (node.hasChildNodes()) {
+	  node.removeChild(node.firstChild);
 	  }
+	  }
 
 	  function toggleHideError(obj) {
-	    if (obj.style.display == "none") {
-	      obj.style.display = "";
-	      hide_link = document.getElementById("hide");
-	      removeAllChildren(hide_link);
-	      hide_link.appendChild(document.createTextNode("</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'hide_error')"/><xsl:text disable-output-escaping="yes">"));
-	    } else {
-	      obj.style.display = "none";
-	      hide_link = document.getElementById("hide");
-	      removeAllChildren(hide_link);
-	      hide_link.appendChild(document.createTextNode("</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'show_error')"/><xsl:text disable-output-escaping="yes">"));
-	    } 
+	  if (obj.style.display == "none") {
+	  obj.style.display = "";
+	  hide_link = document.getElementById("hide");
+	  removeAllChildren(hide_link);
+	  var theText = getText('hide_error', null);
+	  alert(theText);
+	  var hide_text = document.createTextNode(theText);
+	  hide_link.appendChild(hide_text));
+	  } else {
+	  obj.style.display = "none";
+	  hide_link = document.getElementById("hide");
+	  removeAllChildren(hide_link);
+	  var theText = getText('show_error', null);
+	  alert(theText);
+	  var show_text = document.createTextNode(theText);
+	  hide_link.appendChild(show_text);
+	  } 
 	  }
 	</xsl:text>
       </script>
-      <p align='right'><a id="hide" href="javascript:toggleHideError(error);"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'show_error')"/></a></p>
+      <p align='right'><a id="hide" href="javascript:toggleHideError($('#error'));"><xsl:call-template name="getTextFor"><xsl:with-param name="key" select="'show_error'" /><xsl:with-param name="affect" select="''" /></xsl:call-template></a></p>
       <div id="error" style="display: none;">
 	<xsl:apply-templates select="descendant::error"/>
@@ -54,11 +56,18 @@
     <div id="footer">
       <xsl:call-template name="dividerBar">
-	<xsl:with-param name="text" select="util:getInterfaceText($interface_name, /page/@lang, 'gs3power')"/> 
+      	<xsl:with-param name="text"><xsl:text>powered-by</xsl:text></xsl:with-param>
       </xsl:call-template>
+	  	<script type="text/javascript">var placeholder = false;</script>
+	<script type="text/javascript" src="jquery.js">
+		<xsl:comment>Filler for browser</xsl:comment>
+	</script>
+	<script type="text/javascript" src="test.js">
+		<xsl:comment>Filler for browser</xsl:comment>
+	</script>
     </div>
   </xsl:template>
   
   <xsl:template match="error">
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'error')"/> <xsl:value-of select="."/>
+    <span class="getTextFor error"></span> <xsl:value-of select="."/>
   </xsl:template>
 
@@ -67,5 +76,8 @@
     <xsl:param name="pageType"/>
     <xsl:variable name="this-element" select="/page/pageResponse/collection|/page/pageResponse/serviceCluster"/>
-    <div  id="banner">    
+    <div id="loading" style="display: none; position: fixed; top: 0; right: 0; padding: 10px;"><img src="interfaces/default/images/loading.gif" alt="Loading interface..." /></div>
+  	<span id="language" style="display: none;"><xsl:value-of select="/page/@lang" /></span>
+  	<span id="interface" style="display: none;"><xsl:value-of select="$interface_name" /></span>   
+  	<div id="banner">    
       <p>
 	<a href="{$library_name}?a=p&amp;sa=about&amp;c={$collName}">
@@ -78,9 +90,5 @@
 		<xsl:attribute name="alt">
 		  <xsl:value-of select="$this-element/displayItem[@name='name']"/>
-		</xsl:attribute>
-		<xsl:attribute name="title">
-		  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'aboutpage')"/>
-		</xsl:attribute>
-	      </img>
+		</xsl:attribute></img>
 	    </xsl:when>
 	    <xsl:otherwise>
@@ -90,4 +98,9 @@
 	</a>
       </p>
+	  	<xsl:call-template name="getTextFor">
+			<xsl:with-param name="key" select="'null'" />
+			<xsl:with-param name="affect" select="'parent.title.aboutpage'" />
+			<xsl:with-param name="display" select="'none'" />
+		</xsl:call-template>
       <ul id="bannerlist"> 
 	<xsl:call-template name="top-buttons">
@@ -102,14 +115,25 @@
     <xsl:param name="collName"/>
     <xsl:param name="pageType"/>
-    <li><a  href="{$library_name}?a=p&amp;sa=home"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_tip')"/></xsl:attribute>
-	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_b')"/>
+    <li><a href="{$library_name}?a=p&amp;sa=home">
+	  	<xsl:call-template name="getTextFor">
+  			<xsl:with-param name="key" select="'home_b'" />
+  			<xsl:with-param name="parentTip" select="'home_tip'" />
+  		</xsl:call-template>
       </a></li>
     <xsl:choose>
       <xsl:when test="$pageType='help'">
-	<li><a><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/></a></li>
-      </xsl:when>
-      <xsl:otherwise>
-	<li><a href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_tip')"/></xsl:attribute>
-	    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/>
+	<li><a>
+		  <xsl:call-template name="getTextFor">
+  			  <xsl:with-param name="key" select="'help_b'" />
+  			  <xsl:with-param name="affect" select="'parent.title.help_tip'" />
+  		  </xsl:call-template>	
+	</a></li>
+      </xsl:when>
+      <xsl:otherwise>
+	<li><a href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}">
+	      <xsl:call-template name="getTextFor">
+  				<xsl:with-param name="key" select="'help_b'" />
+  				<xsl:with-param name="affect" select="'parent.title.help_tip'" />
+  			</xsl:call-template>
 	  </a></li>
       </xsl:otherwise>
@@ -117,12 +141,32 @@
     <xsl:choose>
       <xsl:when test="$pageType='pref'">
-	<li><a><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></a></li>
-      </xsl:when>
-      <xsl:otherwise>
-	<li><a href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_tip')"/></xsl:attribute>
-	    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/>
+	<li><a><xsl:call-template name="getTextFor"><xsl:with-param name="key" select="'pref_b'" /><xsl:with-param name="affect" select="''" /></xsl:call-template></a></li>
+      </xsl:when>
+      <xsl:otherwise>
+	<li><a href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}">
+	      <xsl:call-template name="getTextFor"><xsl:with-param name="key" select="'pref_b'" /><xsl:with-param name="affect" select="'parent.title.pref_tip'" /></xsl:call-template>
 	  </a></li>
       </xsl:otherwise>
     </xsl:choose>
+  </xsl:template>
+  
+  <xsl:template name="getTextFor">
+  	<xsl:param name="key" />
+  	<xsl:param name="affect" />
+  	<xsl:param name="display" select="'yes'" />
+
+	<xsl:variable name="extra">
+	<xsl:choose>
+	<xsl:when test="$affect!=''">
+		<xsl:text> </xsl:text>
+		<xsl:value-of select="$affect" />  	
+	</xsl:when>  	
+  	<xsl:otherwise>
+		<xsl:value-of select="' '" />  	
+  	</xsl:otherwise>
+  	</xsl:choose>
+  	</xsl:variable>
+
+  	<span class="getTextFor {$key}{$extra}"><xsl:if test="$display='none'"><xsl:attribute name="style"><xsl:text>display: </xsl:text><xsl:value-of select="$display" /><xsl:text>;</xsl:text></xsl:attribute></xsl:if><xsl:value-of select="$key" /></span>
   </xsl:template>
 
@@ -170,13 +214,12 @@
     <xsl:choose>
       <xsl:when test="$text">
-	<div class="divbar"><xsl:value-of select="$text"/></div>
-      </xsl:when>
-      <xsl:otherwise>
-	<div class="divbar"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></div>
+		<div class="divbar"><xsl:choose><xsl:when test="$text='powered-by'"><span class="getTextFor gs3power">&amp;nbsp;</span></xsl:when><xsl:when test="$text='query.results'"><span class="getTextFor query.results">&amp;nbsp;</span></xsl:when><xsl:otherwise><xsl:value-of select="$text"/></xsl:otherwise></xsl:choose></div>
+      </xsl:when>
+      <xsl:otherwise>
+	<div class="divbar"><xsl:text disable-output-escaping="yes">&#160;</xsl:text></div>
       </xsl:otherwise>
     </xsl:choose> 
   </xsl:template>
-
-
+	
   <xsl:template name="direction">
     <xsl:if test="/page/@lang='ar' or /page/@lang='fa' or /page/@lang='he' or /page/@lang='ur' or /page/@lang='ps' or /page/@lang='prs'">rtl</xsl:if>
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/system.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/system.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/system.xsl	(revision 24007)
@@ -14,5 +14,5 @@
 	<title>
 	  <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
-	  <xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+	  <xsl:text> </xsl:text>
 	</title>
 	<xsl:call-template name="globalStyle"/>
@@ -24,4 +24,5 @@
 	  <xsl:call-template name="response" />
 	  <xsl:call-template name="greenstoneFooter"/>
+	  <xsl:call-template name="pageTitle"/>
 	</div>
       </body>
@@ -30,5 +31,5 @@
   
   <xsl:template name="pageTitle">
-    <xsl:value-of select="java:org.greenstone.gsdl3.util.XSLTUtil.getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
+    <span class="getTextFor null document.title.gsdl">&amp;nbsp;</span>
   </xsl:template>
   
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/util.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/util.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/util.xsl	(revision 24007)
@@ -4,6 +4,5 @@
   xmlns:gslib="http://www.greenstone.org/XSL/Library"
   xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
-  xmlns:util="http://org.greenstone.gsdl3.util.XSLTUtil"
-  exclude-result-prefixes="util gslib gsf">
+  exclude-result-prefixes="gslib gsf">
   
   <!-- some global parameters - these are set by whoever is invoking the transformation -->
@@ -11,4 +10,9 @@
   <xsl:param name="library_name"/>
 
+  <!-- Get rid of XSLT parameters from view -->
+  <xsl:template match="xsltparams/param">
+    <xsl:text></xsl:text>
+  </xsl:template>
+  
   <!-- every pages ................................................. -->
   
@@ -60,15 +64,19 @@
 	  hide_link = document.getElementById("hide");
 	  removeAllChildren(hide_link);
-	  hide_link.appendChild(document.createTextNode("</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'hide_error')"/><xsl:text disable-output-escaping="yes">"));
+	  var theText = getText('hide_error', null);
+	  var hide_text = document.createTextNode(theText);
+	  hide_link.appendChild(hide_text));
 	  } else {
 	  obj.style.display = "none";
 	  hide_link = document.getElementById("hide");
 	  removeAllChildren(hide_link);
-	  hide_link.appendChild(document.createTextNode("</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'show_error')"/><xsl:text disable-output-escaping="yes">"));
+	  var theText = getText('show_error', null);
+	  var show_text = document.createTextNode(theText);
+	  hide_link.appendChild(show_text);
 	  } 
 	  }
 	</xsl:text>
       </script>
-      <p align='right'><a id="hide" href="javascript:toggleHideError(error);"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'show_error')"/></a></p>
+      <p align='right'><a id="hide" href="javascript:toggleHideError(error);"></a></p>
       <div id="error" style="display: none;">
 	<xsl:apply-templates select="descendant::error"/>
@@ -84,5 +92,5 @@
   
   <xsl:template name="poweredByGS3TextBar">
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gs3power')"/> 
+    <span class="getTextFor gs3power">&amp;nbsp;</span>
   </xsl:template>
   
@@ -92,10 +100,10 @@
   <xsl:template name="siteHomePageTitle">
     <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/><xsl:text> </xsl:text>
+    <span class="getTextFor gsdl">&amp;nbsp;</span><xsl:text> </xsl:text>
   </xsl:template>
 
 
   <xsl:template name="selectACollectionTextBar">
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.select_a_collection')"/>
+  	<span class="getTextFor home.select_a_collection">&amp;nbsp;</span>
   </xsl:template>
   
@@ -112,5 +120,5 @@
       <input type="hidden" name="s1.collection" value="all"/>
       <input type="text" name="s1.query" size="20"/>
-      <input type="submit"><xsl:attribute name="value"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.quick_search')"/></xsl:attribute></input>
+      <input type="submit" class="getTextFor null this.value.home.quick_search" />
     </form>
   </xsl:template>
@@ -162,11 +170,6 @@
   
   <xsl:template name="libraryInterfaceLink">
-    <li><a href="{$library_name}?a=p&amp;sa=gli4gs3"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.librarian_interface')"/></a></li>
+    <li><a href="{$library_name}?a=p&amp;sa=gli4gs3"><span class="getTextFor home.librarian_interface">&amp;nbsp;</span></a></li>
   </xsl:template> 
-  
-  
-  <xsl:template name="greenstoneLogoAlternateText">
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
-  </xsl:template>
 
   <!-- about page - collection home ......................... -->
@@ -177,5 +180,4 @@
   <xsl:variable name="this-service" select="/page/pageResponse/service/@name"/>
 
-
   <xsl:template name="aboutCollectionPageTitle">
     <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
@@ -188,5 +190,5 @@
       <xsl:choose>
 	<xsl:when test="$this-element/displayItem[@name='icon']">
-	  <img border="0">
+	  <img border="0" class="getTextFor null this.title.aboutpage">
 	    <xsl:attribute name="src">
 	      <xsl:value-of select="$this-element/metadataList/metadata[@name='httpPath']"/>/images/<xsl:value-of select="$this-element/displayItem[@name='icon']"/>
@@ -194,7 +196,4 @@
 	    <xsl:attribute name="alt">
 	      <xsl:value-of select="$this-element/displayItem[@name='name']"/>
-	    </xsl:attribute>
-	    <xsl:attribute name="title">
-	      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'aboutpage')"/>
 	    </xsl:attribute>
 	  </img>
@@ -209,6 +208,5 @@
 
   <xsl:template name="homeButtonTop">
-    <a href="{$library_name}?a=p&amp;sa=home"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_tip')"/></xsl:attribute>
-      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_b')"/></a>
+    <a href="{$library_name}?a=p&amp;sa=home" class="getTextFor home_b this.title.home_tip">&amp;nbsp;</a>
   </xsl:template>
 
@@ -217,10 +215,8 @@
     <xsl:choose>
       <xsl:when test="$pageType='help'">
-	<li><a><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/></a></li>
-      </xsl:when>
-      <xsl:otherwise>
-	<li><a href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_tip')"/></xsl:attribute>
-	    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/>
-	  </a></li>
+	<li><a class="getTextFor help_b"></a></li>
+      </xsl:when>
+      <xsl:otherwise>
+	<li><a href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}" class="getTextFor help_b this.title.help_tip">&amp;nbsp;</a></li>
       </xsl:otherwise>
     </xsl:choose>
@@ -231,10 +227,8 @@
     <xsl:choose>
       <xsl:when test="$pageType='pref'">
-	<li><a><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></a></li>
-      </xsl:when>
-      <xsl:otherwise>
-	<li><a href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_tip')"/></xsl:attribute>
-	    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/>
-	  </a></li>
+	<li><a class="getTextFor pref_b">&amp;nbsp;</a></li>
+      </xsl:when>
+      <xsl:otherwise>
+	<li><a href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}" class="getTextFor pref_b this.title.pref_tip">&amp;nbsp;</a></li>
       </xsl:otherwise>
     </xsl:choose>
@@ -279,11 +273,11 @@
   <xsl:template match="serviceList">
     <xsl:param name="collName"/>
-    <h3><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.services')"/></h3>
+    <h3 class="getTextFor about.services">&amp;nbsp;</h3>
     <xsl:choose>
       <xsl:when test="service">
-	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.servicehelp')"/>
-      </xsl:when>
-      <xsl:otherwise>
-	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.noservices')"/>
+		<span class="getTextFor about.servicehelp">&amp;nbsp;</span>
+      </xsl:when>
+      <xsl:otherwise>
+		<span class="getTextFor about.noservices">&amp;nbsp;</span>
       </xsl:otherwise>
     </xsl:choose>
